﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Raspis
{
    /// <summary>
    /// Логика взаимодействия для MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public int numbStart = 0;
        public int numbEnd = 0;
        public MainWindow()
        {
            InitializeComponent();
        }

        
        static string getResponse(string uri)
        {
            StringBuilder sb = new StringBuilder();
            byte[] buf = new byte[8192];
            HttpWebRequest request = (HttpWebRequest)WebRequest.Create(uri);
            HttpWebResponse response = (HttpWebResponse)request.GetResponse();
            Stream resStream = response.GetResponseStream();
            
            int count = 0;
            do
            {
                count = resStream.Read(buf, 0, buf.Length);
                if (count != 0)
                {
                    sb.Append(Encoding.UTF8.GetString(buf, 0, count));
                }
            }
            while (count > 0);
            return sb.ToString();
        }
       
        private void bt5_Click(object sender, RoutedEventArgs e)
        {
            doThis("220341");
        }
        private void doThis(string group)
        {
            string a = getResponse("http://schedule.tsu.tula.ru/?group="+group);
            int l = a.Length;
            for (int i = 0; i < l; i++)
            {
                if (a[i] == '"' && a[i + 1] == 'r' && a[i + 2] == 'e' && a[i + 3] == 's' && a[i + 4] == 'u' && a[i + 5] == 'l' && a[i + 6] == 't' && a[i + 7] == 's')
                {
                    numbStart = i + 10;
                }

                if (a[i] == '"' && a[i + 1] == 'r' && a[i + 2] == 'i' && a[i + 3] == 'g' && a[i + 4] == 'h' && a[i + 5] == 't' && a[i + 6] == 'c' && a[i + 7] == 'o')
                {
                    numbEnd = i - 16;
                }
            }

            string res = a.Substring(numbStart, numbEnd - numbStart);
            res = "<meta charset=\"utf-8\">" + res;
            System.IO.File.WriteAllText("rasp.html", res);
            string curDir = Directory.GetCurrentDirectory();
            wb1.Navigate(curDir + "\\rasp.html");


        }

        private void bt3_Click(object sender, RoutedEventArgs e)
        {
            doThis("220541");
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            doThis(tb1.Text);
        }
    }
}
